Webhooks

Update Webhook

Update an existing webhook

PUT
/api/v1/webhooks/{webhookId}
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

webhookId*string

The ID of the webhook to update

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://app.recommand.eu/api/v1/webhooks/string" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com"  }'
{
  "success": true,
  "webhook": {
    "id": "string",
    "teamId": "string",
    "companyId": "string",
    "url": "http://example.com",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}